# Gimp.Layer.set_apply_mask

    @accepts(Gimp.Layer, bool)
    @returns(bool)
    def set_apply_mask(self, apply_mask):
        # Python wrapper for gimp_layer_set_apply_mask()

Set the apply mask setting of the specified layer.

This procedure sets the specified layer's apply mask setting. This controls whether the layer's mask is currently affecting the alpha channel. If there is no layer mask, this function will return an error.

self

  The layer.

apply_mask

  The new layer's apply mask setting.

Returns